# Change Log

## [0.7.4](https://github.com/go-swagger/go-swagger/tree/0.7.4) (2016-11-07)
[Full Changelog](https://github.com/go-swagger/go-swagger/compare/0.7.3...0.7.4)

**Implemented enhancements:**

- Document when authentication mechanisms apply in generated code [\#720](https://github.com/go-swagger/go-swagger/issues/720)
- can't distinguish between an empty array and null array for non-required array fields [\#707](https://github.com/go-swagger/go-swagger/issues/707)
- x-go-name not respected in "swagger generate model" [\#701](https://github.com/go-swagger/go-swagger/issues/701)

**Fixed bugs:**

- Generate source doesn't compile if parameter name is type [\#710](https://github.com/go-swagger/go-swagger/issues/710)
- Some word cannot be used as field of properties in object definition [\#704](https://github.com/go-swagger/go-swagger/issues/704)
- uuid cannot be converted to string [\#628](https://github.com/go-swagger/go-swagger/issues/628)
- Concurrency issue on the validation code for string enums [\#545](https://github.com/go-swagger/go-swagger/issues/545)
- vendor extensions not respected [\#402](https://github.com/go-swagger/go-swagger/issues/402)
- Not possible to put the definitions in a separate YAML file [\#358](https://github.com/go-swagger/go-swagger/issues/358)
- Code generation changes depending on how swagger files are organized. [\#331](https://github.com/go-swagger/go-swagger/issues/331)

**Closed issues:**

- Is it possible to do the reverse routing? [\#714](https://github.com/go-swagger/go-swagger/issues/714)
- Can access original request object in handlers [\#491](https://github.com/go-swagger/go-swagger/issues/491)

**Merged pull requests:**

- verifies support of strfmt and nested collections in parameters [\#725](https://github.com/go-swagger/go-swagger/pull/725) ([casualjim](https://github.com/casualjim))
- better auth help text [\#724](https://github.com/go-swagger/go-swagger/pull/724) ([casualjim](https://github.com/casualjim))
- reverse routing [\#723](https://github.com/go-swagger/go-swagger/pull/723) ([casualjim](https://github.com/casualjim))
- update vendored deps [\#722](https://github.com/go-swagger/go-swagger/pull/722) ([casualjim](https://github.com/casualjim))
- don't use omitempty on array fields [\#716](https://github.com/go-swagger/go-swagger/pull/716) ([rgarcia](https://github.com/rgarcia))
- updates vendor [\#715](https://github.com/go-swagger/go-swagger/pull/715) ([casualjim](https://github.com/casualjim))
- Support x-go-name in code generation [\#713](https://github.com/go-swagger/go-swagger/pull/713) ([dnephin](https://github.com/dnephin))
- mangle var names [\#712](https://github.com/go-swagger/go-swagger/pull/712) ([casualjim](https://github.com/casualjim))
- port fix rare race with enums \(@bfreis\) [\#709](https://github.com/go-swagger/go-swagger/pull/709) ([casualjim](https://github.com/casualjim))
- 702 fix timeout [\#708](https://github.com/go-swagger/go-swagger/pull/708) ([casualjim](https://github.com/casualjim))

## [0.7.3](https://github.com/go-swagger/go-swagger/tree/0.7.3) (2016-10-20)
[Full Changelog](https://github.com/go-swagger/go-swagger/compare/0.7.2...0.7.3)

**Implemented enhancements:**

- pretty print the generated spec [\#698](https://github.com/go-swagger/go-swagger/issues/698)
- consider swagger:strfmt on a property comment as a valid override [\#694](https://github.com/go-swagger/go-swagger/issues/694)
- CLI options to define HTTP/HTTPS protocol schema in generated server code. [\#587](https://github.com/go-swagger/go-swagger/issues/587)
- x-nullable: false doesn't affect required values [\#458](https://github.com/go-swagger/go-swagger/issues/458)
- Generating spec for response without nested struct [\#446](https://github.com/go-swagger/go-swagger/issues/446)
- Refactor package structures [\#420](https://github.com/go-swagger/go-swagger/issues/420)
- No consumers and producers for "text/plain" in the client runtime [\#360](https://github.com/go-swagger/go-swagger/issues/360)
- No consumers and producers for "application/xml" in the client runtime [\#359](https://github.com/go-swagger/go-swagger/issues/359)
- Add http/unix socket transport [\#278](https://github.com/go-swagger/go-swagger/issues/278)
- Clean up tutorial [\#275](https://github.com/go-swagger/go-swagger/issues/275)
- server generated code does not compile [\#215](https://github.com/go-swagger/go-swagger/issues/215)
- Support not embedding swagger schema into generated Go code [\#190](https://github.com/go-swagger/go-swagger/issues/190)
- \[BREAKING\] Move most of it under the open apis org [\#188](https://github.com/go-swagger/go-swagger/issues/188)
- Add a command to initialize a swagger yaml spec [\#187](https://github.com/go-swagger/go-swagger/issues/187)
- check licenses of dependencies  [\#154](https://github.com/go-swagger/go-swagger/issues/154)
- Add appveyor build [\#153](https://github.com/go-swagger/go-swagger/issues/153)
- Empty or duplicate operation ids in codegen [\#134](https://github.com/go-swagger/go-swagger/issues/134)
- Document supported vendor extensions [\#131](https://github.com/go-swagger/go-swagger/issues/131)
- Add documentation for generated server [\#130](https://github.com/go-swagger/go-swagger/issues/130)
- no empty names for path parameters [\#128](https://github.com/go-swagger/go-swagger/issues/128)
- Add validation for only body or formdata params [\#127](https://github.com/go-swagger/go-swagger/issues/127)
- Add support for security definitions to server codegen [\#113](https://github.com/go-swagger/go-swagger/issues/113)
- \[scanner\] security schemes [\#112](https://github.com/go-swagger/go-swagger/issues/112)
- Allow for client templates to be overridden with local versions [\#101](https://github.com/go-swagger/go-swagger/issues/101)
- \[scanner\] spec generation should fail when a struct is decorated with more than 1 annotation [\#92](https://github.com/go-swagger/go-swagger/issues/92)
- Struct references in operation parameter objects are generated as struct fields instead of pointers. [\#60](https://github.com/go-swagger/go-swagger/issues/60)
- validation: default values must validate against schema [\#18](https://github.com/go-swagger/go-swagger/issues/18)
- validation: referenced objects [\#17](https://github.com/go-swagger/go-swagger/issues/17)
- validation: referencable references [\#16](https://github.com/go-swagger/go-swagger/issues/16)
- implement validation: circular ancestry [\#13](https://github.com/go-swagger/go-swagger/issues/13)
- implement validation: duplicate property name declaration [\#12](https://github.com/go-swagger/go-swagger/issues/12)
- support huge file uploads [\#8](https://github.com/go-swagger/go-swagger/issues/8)
- documentation site [\#5](https://github.com/go-swagger/go-swagger/issues/5)
- Generate a swagger spec from go code [\#3](https://github.com/go-swagger/go-swagger/issues/3)

**Fixed bugs:**

- timeout conflicts with property named timeout in client gen [\#702](https://github.com/go-swagger/go-swagger/issues/702)
- Swagger 0.6.0 reports invalid version [\#650](https://github.com/go-swagger/go-swagger/issues/650)
- Code gen: The go generate comment is missing required parameters [\#611](https://github.com/go-swagger/go-swagger/issues/611)
- Client Generator - Multiple success response codes causes panic [\#585](https://github.com/go-swagger/go-swagger/issues/585)
- Generated client panics trying to type-assert required string parameter [\#546](https://github.com/go-swagger/go-swagger/issues/546)
- Build failure when using principal flag. [\#544](https://github.com/go-swagger/go-swagger/issues/544)
- Code generated from spec file does not compile [\#540](https://github.com/go-swagger/go-swagger/issues/540)
- No validator code call for array items if they are other models. [\#524](https://github.com/go-swagger/go-swagger/issues/524)
- escaped slashes in path ids are incorrectly decoded [\#522](https://github.com/go-swagger/go-swagger/issues/522)
- Multipart form generates unnecessary variable that lead to compile error [\#511](https://github.com/go-swagger/go-swagger/issues/511)
- Negotiated content type producer uses DefaultProduces even when matched route does not have a "produces" for that type. [\#499](https://github.com/go-swagger/go-swagger/issues/499)
- Recursive definition causes stack overflow [\#483](https://github.com/go-swagger/go-swagger/issues/483)
- Fail and log on errors adding user-defined CLI flags [\#470](https://github.com/go-swagger/go-swagger/issues/470)
- Specification basePath is not respected [\#465](https://github.com/go-swagger/go-swagger/issues/465)
- Incorrect case in generated model code referencing model name [\#460](https://github.com/go-swagger/go-swagger/issues/460)
- Presence of required nested object is not validated [\#455](https://github.com/go-swagger/go-swagger/issues/455)
- Incorrectly generated Marshaller causes unlimited recursive Marshal calls [\#454](https://github.com/go-swagger/go-swagger/issues/454)
- Optional nested objects are not validated [\#453](https://github.com/go-swagger/go-swagger/issues/453)
- Swagger generate oauth2 scope [\#449](https://github.com/go-swagger/go-swagger/issues/449)
- Panic on form validation for mutlipart upload [\#438](https://github.com/go-swagger/go-swagger/issues/438)
- x-www-form-urlencoded cannot be consumed in go-swagger 0.5.x [\#433](https://github.com/go-swagger/go-swagger/issues/433)
- Incorrect unmarshal code generated for polymorphic object parent [\#423](https://github.com/go-swagger/go-swagger/issues/423)
- Basic auth doesn't compile [\#406](https://github.com/go-swagger/go-swagger/issues/406)
- Recursive model definition causes infinite loop [\#399](https://github.com/go-swagger/go-swagger/issues/399)
- Validation of required values should allow empty values [\#398](https://github.com/go-swagger/go-swagger/issues/398)
- No data fields in the response object [\#384](https://github.com/go-swagger/go-swagger/issues/384)
- Validation code tries to compare a non-nullable with a nil value. [\#381](https://github.com/go-swagger/go-swagger/issues/381)
- CLI help is printed twice. [\#375](https://github.com/go-swagger/go-swagger/issues/375)
- Question - Expose the server port if a random port is used for the server  [\#372](https://github.com/go-swagger/go-swagger/issues/372)
- DELETE operation with no body and Accept: \*/\* does not reach handler [\#371](https://github.com/go-swagger/go-swagger/issues/371)
- Expanding nested items is broken. [\#367](https://github.com/go-swagger/go-swagger/issues/367)
- Tagging an in "body" parameter with "required" has no effect [\#366](https://github.com/go-swagger/go-swagger/issues/366)
- Incorrect type used for validator [\#363](https://github.com/go-swagger/go-swagger/issues/363)
- Generated comments on model types and client operations don't begin with the type / operation name in some cases [\#356](https://github.com/go-swagger/go-swagger/issues/356)
- Wrong enum type names in the client generator [\#352](https://github.com/go-swagger/go-swagger/issues/352)
- panic: on array/collectionFormat + validation [\#351](https://github.com/go-swagger/go-swagger/issues/351)
- Default value is not generated for boolean type. [\#350](https://github.com/go-swagger/go-swagger/issues/350)
- Generated model results in broken build [\#340](https://github.com/go-swagger/go-swagger/issues/340)
- API client has wrong package name [\#330](https://github.com/go-swagger/go-swagger/issues/330)
- duplicate declarations on a naming colision [\#325](https://github.com/go-swagger/go-swagger/issues/325)
- Validator treats parameter references as errors [\#321](https://github.com/go-swagger/go-swagger/issues/321)
- Issue with parameters of type file in the client generator [\#320](https://github.com/go-swagger/go-swagger/issues/320)
- Map of base type generates a map of \*Interface instead of map of Interface [\#319](https://github.com/go-swagger/go-swagger/issues/319)
- Models: do not generate pointers and omitempty if property is required [\#300](https://github.com/go-swagger/go-swagger/issues/300)
- Handle missing Accept: from request header [\#298](https://github.com/go-swagger/go-swagger/issues/298)
- Enums are no longer pointers if not required [\#277](https://github.com/go-swagger/go-swagger/issues/277)
- Cannot use "." in route definition [\#271](https://github.com/go-swagger/go-swagger/issues/271)
- Enum generated Validate code has duplicate if checks [\#265](https://github.com/go-swagger/go-swagger/issues/265)
- fields with special chars lose the special chars [\#257](https://github.com/go-swagger/go-swagger/issues/257)
- missing import: model not compiling [\#255](https://github.com/go-swagger/go-swagger/issues/255)
- Panic: interface is spec.Schema, not spec.Parameter for formField file [\#253](https://github.com/go-swagger/go-swagger/issues/253)
- Kubernetes 2.0 Spec [\#239](https://github.com/go-swagger/go-swagger/issues/239)
- Generated models with shared enums do not compile [\#227](https://github.com/go-swagger/go-swagger/issues/227)
- Go swagger does not support plain values in bodies. [\#217](https://github.com/go-swagger/go-swagger/issues/217)
- Generated server should allow for cleanup on shutting down [\#198](https://github.com/go-swagger/go-swagger/issues/198)
- Crash when using swagger generate client [\#197](https://github.com/go-swagger/go-swagger/issues/197)
- Generated BindRequest has call to Validate, even if no validation is specified [\#196](https://github.com/go-swagger/go-swagger/issues/196)
- parameter integers are always send [\#195](https://github.com/go-swagger/go-swagger/issues/195)
- Wrong documentation for swagger:parameters annotation [\#194](https://github.com/go-swagger/go-swagger/issues/194)
- format of parameters leads to bad generated code [\#193](https://github.com/go-swagger/go-swagger/issues/193)
- Validation dereferencing non-pointer [\#186](https://github.com/go-swagger/go-swagger/issues/186)
- Generated Validate method does not dereference pointer [\#182](https://github.com/go-swagger/go-swagger/issues/182)
- Generated Validatator on slice from interface method incorrect [\#181](https://github.com/go-swagger/go-swagger/issues/181)
- Polymorphic/generic subtypes: discriminator getter method, and unmarshal function do not use definition name [\#175](https://github.com/go-swagger/go-swagger/issues/175)
- Don't set query params if they are nil [\#174](https://github.com/go-swagger/go-swagger/issues/174)
- Spec generator fails for swagger:route that has no tags [\#171](https://github.com/go-swagger/go-swagger/issues/171)
- client: Polymorphic types as parameter generates pointer to interface [\#169](https://github.com/go-swagger/go-swagger/issues/169)
- no code generated to handle unmarshalling a slice of a generic type [\#160](https://github.com/go-swagger/go-swagger/issues/160)
- The validation does not work for the reference. [\#159](https://github.com/go-swagger/go-swagger/issues/159)
- swagger generate server with `-t` leads to non-compiliable generated code [\#155](https://github.com/go-swagger/go-swagger/issues/155)
- apiKey SecurityDefinitions work only if the header name=security definition name [\#152](https://github.com/go-swagger/go-swagger/issues/152)
- add allowEmptyValue support for a parameter [\#149](https://github.com/go-swagger/go-swagger/issues/149)
- Polymorphic validation code does not invoke generated Getter methods [\#146](https://github.com/go-swagger/go-swagger/issues/146)
- generate commands should work with urls too [\#145](https://github.com/go-swagger/go-swagger/issues/145)
- responses with a body of type interface{} don't render well [\#137](https://github.com/go-swagger/go-swagger/issues/137)
- responses with a schema render lots of extra schemas [\#136](https://github.com/go-swagger/go-swagger/issues/136)
- client should respect default values [\#135](https://github.com/go-swagger/go-swagger/issues/135)
- models: missing optional fields must not be rejected by validators and must have a distinguishable zero value [\#132](https://github.com/go-swagger/go-swagger/issues/132)
- Validation fails with circular dependency [\#123](https://github.com/go-swagger/go-swagger/issues/123)
- server should have options for SSL when https scheme is present [\#115](https://github.com/go-swagger/go-swagger/issues/115)
- no enum detected for enum properties in combination with allOf [\#107](https://github.com/go-swagger/go-swagger/issues/107)
- Problem with query parameter with type array and collectionFormat: multi [\#106](https://github.com/go-swagger/go-swagger/issues/106)
- \[scanner\] Exported fields typed interface result in an invalid schema [\#93](https://github.com/go-swagger/go-swagger/issues/93)
- make go gettable without authentication [\#89](https://github.com/go-swagger/go-swagger/issues/89)
- client should infer schemes from the spec [\#88](https://github.com/go-swagger/go-swagger/issues/88)
- respect vendor specific media types [\#87](https://github.com/go-swagger/go-swagger/issues/87)
- client generation doesn't use tags [\#86](https://github.com/go-swagger/go-swagger/issues/86)
- client generation doesn't pick up on params from path level [\#85](https://github.com/go-swagger/go-swagger/issues/85)
- Enum model validation broken [\#79](https://github.com/go-swagger/go-swagger/issues/79)
- Client examples? [\#76](https://github.com/go-swagger/go-swagger/issues/76)
- When scanning a response the definition is not ref'ed [\#75](https://github.com/go-swagger/go-swagger/issues/75)
- enum validation for anonymous nested object is missing [\#74](https://github.com/go-swagger/go-swagger/issues/74)
- additional properties: false still gets treated as if it was set to true [\#73](https://github.com/go-swagger/go-swagger/issues/73)
- models composed with discriminators and allOf end up with empty bodies [\#65](https://github.com/go-swagger/go-swagger/issues/65)
- \[validation\] pathItems properties are not strictly validated [\#62](https://github.com/go-swagger/go-swagger/issues/62)
- Go-swagger validation issues [\#61](https://github.com/go-swagger/go-swagger/issues/61)
- Array references are generated as array of structs rather than array of pointers. [\#59](https://github.com/go-swagger/go-swagger/issues/59)
- Generated configure\_{app}.go has missing import and invalid reference [\#56](https://github.com/go-swagger/go-swagger/issues/56)
- bind{Param} function may need casting for UUID [\#55](https://github.com/go-swagger/go-swagger/issues/55)
- Generated imports for models are incorrect [\#54](https://github.com/go-swagger/go-swagger/issues/54)
- Validation:"swagger" field must validate against schema [\#53](https://github.com/go-swagger/go-swagger/issues/53)
- scanner.go panics with index out of bounds  [\#50](https://github.com/go-swagger/go-swagger/issues/50)
- generate spec doesn't add "swagger":2.0 at the beginning of the spec, but it's needed by swagger-ui [\#46](https://github.com/go-swagger/go-swagger/issues/46)
- may be bug on URI parse [\#37](https://github.com/go-swagger/go-swagger/issues/37)
- make generate spec support validations for nested collections [\#22](https://github.com/go-swagger/go-swagger/issues/22)
- make generated server support responses [\#21](https://github.com/go-swagger/go-swagger/issues/21)
- Add size variable init when slice size needs to be checked. [\#570](https://github.com/go-swagger/go-swagger/pull/570) ([vburenin](https://github.com/vburenin))

**Closed issues:**

- restapi/operations/delete\_user\_name.go:51: undefined: https [\#700](https://github.com/go-swagger/go-swagger/issues/700)
- \[0.7.2\] `generate model` does not generate anything [\#692](https://github.com/go-swagger/go-swagger/issues/692)
- configure\_xxx.go file gets overwritten everytime. [\#687](https://github.com/go-swagger/go-swagger/issues/687)
- `swagger validate` raise an error [\#684](https://github.com/go-swagger/go-swagger/issues/684)
- Can't install swagger command in Go 1.6. [\#679](https://github.com/go-swagger/go-swagger/issues/679)
- Generating a model from an inline response schema [\#676](https://github.com/go-swagger/go-swagger/issues/676)
- No way to generate type `int` \(always uses `int64`\) [\#675](https://github.com/go-swagger/go-swagger/issues/675)
- Question: After set authentication , CROS handler doesn't work [\#663](https://github.com/go-swagger/go-swagger/issues/663)
- Swagger\_linux\_amd64 does not match master branch of go-swagger [\#647](https://github.com/go-swagger/go-swagger/issues/647)
- Rename Mutli-Status to Multi-Status [\#640](https://github.com/go-swagger/go-swagger/issues/640)
- go doc dumps huge SwaggerJSON [\#639](https://github.com/go-swagger/go-swagger/issues/639)
- Array property of payload not being included in response body [\#638](https://github.com/go-swagger/go-swagger/issues/638)
- godep not vendoring go-swagger package to API package [\#635](https://github.com/go-swagger/go-swagger/issues/635)
- Generated server returns error code when invoked with "-h" or "--help" [\#630](https://github.com/go-swagger/go-swagger/issues/630)
- Error while updating dependencies [\#627](https://github.com/go-swagger/go-swagger/issues/627)
- Generated code validation [\#625](https://github.com/go-swagger/go-swagger/issues/625)
- Generate spec looks up types in wrong package if there are several of the same name [\#608](https://github.com/go-swagger/go-swagger/issues/608)
- Add support for MapType in parseIdentProperty [\#601](https://github.com/go-swagger/go-swagger/issues/601)
- Code generator emits two variants of strfmt [\#598](https://github.com/go-swagger/go-swagger/issues/598)
- Add the ability to use a model as a response Body. [\#595](https://github.com/go-swagger/go-swagger/issues/595)
- accept header is invalid [\#586](https://github.com/go-swagger/go-swagger/issues/586)
- missing swag import [\#580](https://github.com/go-swagger/go-swagger/issues/580)
- --skip-struct outputs blank files [\#575](https://github.com/go-swagger/go-swagger/issues/575)
- Command Line Flags example [\#572](https://github.com/go-swagger/go-swagger/issues/572)
- swagger validate swgger.yml fail when I follow Todo-List tutorial [\#571](https://github.com/go-swagger/go-swagger/issues/571)
- No way of avoiding generating validations [\#568](https://github.com/go-swagger/go-swagger/issues/568)
- Embedding anonymous pointer causes error [\#563](https://github.com/go-swagger/go-swagger/issues/563)
- All Go builtin types should be supported [\#560](https://github.com/go-swagger/go-swagger/issues/560)
- swagger error, during import spc doc into swagger editor [\#555](https://github.com/go-swagger/go-swagger/issues/555)
- No access to original HTTP request in GET request [\#550](https://github.com/go-swagger/go-swagger/issues/550)
- go-swagger v0.5.9 - cannot find package "golang.org/x/tools/go/loader" [\#549](https://github.com/go-swagger/go-swagger/issues/549)
- DELETE operation with no body returns 415 unsupported media [\#548](https://github.com/go-swagger/go-swagger/issues/548)
- Fix "Use" section tutorials on goswagger.io [\#539](https://github.com/go-swagger/go-swagger/issues/539)
- todolist example fails to compile. Also the generated and the example code has different imports, which is strange [\#538](https://github.com/go-swagger/go-swagger/issues/538)
- Question: usage with react using the fetch api is supported [\#531](https://github.com/go-swagger/go-swagger/issues/531)
- Using user defined logger instead of fmt.Printf [\#528](https://github.com/go-swagger/go-swagger/issues/528)
- where is the spec validator tested [\#525](https://github.com/go-swagger/go-swagger/issues/525)
- Integer enum validation always fail [\#523](https://github.com/go-swagger/go-swagger/issues/523)
- Skip parameter fields with json tag `json:"-"` [\#520](https://github.com/go-swagger/go-swagger/issues/520)
- Typo multipart/form-data as "Mulitpart" [\#518](https://github.com/go-swagger/go-swagger/issues/518)
- Generate models for internal use only [\#516](https://github.com/go-swagger/go-swagger/issues/516)
- File downloads [\#515](https://github.com/go-swagger/go-swagger/issues/515)
- Swagger generate spec paths [\#510](https://github.com/go-swagger/go-swagger/issues/510)
- Parameters template bug leads to errors in header validation [\#494](https://github.com/go-swagger/go-swagger/issues/494)
- How to use context.Context from middleware [\#492](https://github.com/go-swagger/go-swagger/issues/492)
- types don't match: expect map key string or int get: bool [\#490](https://github.com/go-swagger/go-swagger/issues/490)
- go swagger generated code is not fully golint-able [\#487](https://github.com/go-swagger/go-swagger/issues/487)
- Validator treats array in example as invalid data [\#478](https://github.com/go-swagger/go-swagger/issues/478)
- Unnecessary "required" validation for array items [\#472](https://github.com/go-swagger/go-swagger/issues/472)
- Add hints for the type names generated by swagger [\#471](https://github.com/go-swagger/go-swagger/issues/471)
- go-swagger v0.5.0 - cannot find package "golang.org/x/tools/go/buildutil" [\#434](https://github.com/go-swagger/go-swagger/issues/434)
- Add a configuration layer for TLS. [\#430](https://github.com/go-swagger/go-swagger/issues/430)
- Panic expanding responses that are a schema ref with circular refs [\#415](https://github.com/go-swagger/go-swagger/issues/415)
- mTLS with custom roots known to work? [\#409](https://github.com/go-swagger/go-swagger/issues/409)
- No way to hook code after flags are parsed but before request handling starts [\#403](https://github.com/go-swagger/go-swagger/issues/403)
- How to access swagger path/request URL from within handler [\#395](https://github.com/go-swagger/go-swagger/issues/395)
- Tagging a parameter with "pattern" doesn't seem to always have affect [\#369](https://github.com/go-swagger/go-swagger/issues/369)
- Boolean parameters are generated into strings [\#346](https://github.com/go-swagger/go-swagger/issues/346)
- Missing package swag in generated models [\#345](https://github.com/go-swagger/go-swagger/issues/345)
- Wrong httpkit/validate package in generated model files [\#343](https://github.com/go-swagger/go-swagger/issues/343)
- String param with binary format in body does not validate [\#341](https://github.com/go-swagger/go-swagger/issues/341)
- Add support for tar, gzip [\#326](https://github.com/go-swagger/go-swagger/issues/326)
- The generated import path has incorrect prefix [\#323](https://github.com/go-swagger/go-swagger/issues/323)
- Some --skip-\* flags not working [\#322](https://github.com/go-swagger/go-swagger/issues/322)
- Support for cookies in the client runtime [\#308](https://github.com/go-swagger/go-swagger/issues/308)
- Generated server is misinterpreting request type as application/octet-stream [\#306](https://github.com/go-swagger/go-swagger/issues/306)
- Operation specific "produces" not overriding global "produces" [\#304](https://github.com/go-swagger/go-swagger/issues/304)
- Move things out of the main package [\#302](https://github.com/go-swagger/go-swagger/issues/302)
- httpkit/client/runtime strips trailing slash from request path causing 301 [\#289](https://github.com/go-swagger/go-swagger/issues/289)
- Generate: No Producer or stub for "text/plain" [\#287](https://github.com/go-swagger/go-swagger/issues/287)
- spec generator strips out special characters in the beginning of lines [\#276](https://github.com/go-swagger/go-swagger/issues/276)
- Add Support for Extensions on the root Swagger Document [\#268](https://github.com/go-swagger/go-swagger/issues/268)
- DELETE method without body [\#264](https://github.com/go-swagger/go-swagger/issues/264)
- server consuming `application/x-www-form-urlencoded` doesn't work [\#263](https://github.com/go-swagger/go-swagger/issues/263)
- Nested references in definitions cause failure [\#254](https://github.com/go-swagger/go-swagger/issues/254)
- Server/client with enums generate uncompilable golang [\#252](https://github.com/go-swagger/go-swagger/issues/252)
- clientgen: Properties with "format": "date-time" that are not required are not generated as pointers [\#251](https://github.com/go-swagger/go-swagger/issues/251)
- array body parameters lead to uncompilable client code [\#249](https://github.com/go-swagger/go-swagger/issues/249)
- Optional query param enums are not validated [\#248](https://github.com/go-swagger/go-swagger/issues/248)
- build cross platform binaries [\#247](https://github.com/go-swagger/go-swagger/issues/247)
- provide a version command [\#246](https://github.com/go-swagger/go-swagger/issues/246)
- Map as property created as pointer on objects [\#243](https://github.com/go-swagger/go-swagger/issues/243)
- race in Runtime.Submit [\#242](https://github.com/go-swagger/go-swagger/issues/242)
- Make generated client use `consumes` in schema for Accept headers, rather than transport consumers [\#235](https://github.com/go-swagger/go-swagger/issues/235)
- swagger validate silently returns 0 when input does not exist [\#233](https://github.com/go-swagger/go-swagger/issues/233)
- `swagger generate client` with `-t` directory target puts client code in unexpected directory [\#230](https://github.com/go-swagger/go-swagger/issues/230)
- Schemes passed into httpkit New ignored [\#228](https://github.com/go-swagger/go-swagger/issues/228)
- Example for generating spec with securityDefinitions? [\#225](https://github.com/go-swagger/go-swagger/issues/225)
- wrong identifier used  in generated code when validating parameter with not valid \(in golang\) identifier [\#223](https://github.com/go-swagger/go-swagger/issues/223)
- support not embedding the schema into the server generated code [\#222](https://github.com/go-swagger/go-swagger/issues/222)
- Delete requests with bodies cause a runtime error [\#219](https://github.com/go-swagger/go-swagger/issues/219)
- not an issue [\#216](https://github.com/go-swagger/go-swagger/issues/216)
- Empty string not validated in body schema [\#212](https://github.com/go-swagger/go-swagger/issues/212)
- Generated server main is currently always overwritten [\#210](https://github.com/go-swagger/go-swagger/issues/210)
- Allow addition of custom command line options to generated server code [\#207](https://github.com/go-swagger/go-swagger/issues/207)
- Sole TextMarshaler and TextUnmarshaler interfaces are left aside for embedded types [\#205](https://github.com/go-swagger/go-swagger/issues/205)
- Invalid code client generated in Default Parameter constructor [\#201](https://github.com/go-swagger/go-swagger/issues/201)
- Getting io.EOF error returned from successful HTTP response [\#192](https://github.com/go-swagger/go-swagger/issues/192)
- Client: Generated validator does not reference field [\#189](https://github.com/go-swagger/go-swagger/issues/189)
- Random model properties [\#180](https://github.com/go-swagger/go-swagger/issues/180)
- generate ffjson for structs [\#179](https://github.com/go-swagger/go-swagger/issues/179)
- Add server support for default header values in responses [\#172](https://github.com/go-swagger/go-swagger/issues/172)
- doesn't generate the instagram api server [\#170](https://github.com/go-swagger/go-swagger/issues/170)
- server with valid schema and an extra slash \(/\) does not remove the extra [\#167](https://github.com/go-swagger/go-swagger/issues/167)
- divan/num2words causing `go get` failure [\#166](https://github.com/go-swagger/go-swagger/issues/166)
- Sample swagger.yml generating server fails for boolean, integer, number types in query params [\#163](https://github.com/go-swagger/go-swagger/issues/163)
- Does not support json keys that are numerical [\#162](https://github.com/go-swagger/go-swagger/issues/162)
- Support setting fields on interface/discriminated types [\#158](https://github.com/go-swagger/go-swagger/issues/158)
- Add HTTP/2 support [\#156](https://github.com/go-swagger/go-swagger/issues/156)
- Server does not compile if parameter description is missing [\#148](https://github.com/go-swagger/go-swagger/issues/148)
- Client GenCode tries to access field as method and `func\(\) httpkit.JSONConsumer` not being called. [\#147](https://github.com/go-swagger/go-swagger/issues/147)
- \[scanner\] support discriminators [\#142](https://github.com/go-swagger/go-swagger/issues/142)
- panic: assignment to entry in nil map [\#141](https://github.com/go-swagger/go-swagger/issues/141)
- Add new param type: json [\#140](https://github.com/go-swagger/go-swagger/issues/140)
- main.go:XX: handler declared and not used [\#133](https://github.com/go-swagger/go-swagger/issues/133)
- codegen should account for reserved words [\#122](https://github.com/go-swagger/go-swagger/issues/122)
- autodetect swagger base path  [\#120](https://github.com/go-swagger/go-swagger/issues/120)
- look into using shippable [\#118](https://github.com/go-swagger/go-swagger/issues/118)
- inline schemas in responses fail to generate [\#116](https://github.com/go-swagger/go-swagger/issues/116)
- Consumers do not handle headers with charset in them [\#114](https://github.com/go-swagger/go-swagger/issues/114)
- Can't get models in the definitions [\#111](https://github.com/go-swagger/go-swagger/issues/111)
- Submit server golang code generator in swagger-codegen. [\#110](https://github.com/go-swagger/go-swagger/issues/110)
- Submit client generator integration to swagger-codegen [\#109](https://github.com/go-swagger/go-swagger/issues/109)
- untyped additional properties incorrectly flagged as having validations [\#108](https://github.com/go-swagger/go-swagger/issues/108)
- Inconsistent model method generation [\#105](https://github.com/go-swagger/go-swagger/issues/105)
- Inconsistent import/use of package in frontend\_client.go generation [\#104](https://github.com/go-swagger/go-swagger/issues/104)
- optional strfmt types are not always used by their pointers  [\#103](https://github.com/go-swagger/go-swagger/issues/103)
- Order of the generated operations should be consistent between generations [\#94](https://github.com/go-swagger/go-swagger/issues/94)
- generated server should have annotations to generate a spec [\#90](https://github.com/go-swagger/go-swagger/issues/90)
- Missed 'models' import in generated server when operations declared with 'default' response first [\#84](https://github.com/go-swagger/go-swagger/issues/84)
- various client generation fixes [\#82](https://github.com/go-swagger/go-swagger/issues/82)
- configure file for generated server is missing operations package [\#81](https://github.com/go-swagger/go-swagger/issues/81)
- Schemas without validations don't implement the Validate interface [\#80](https://github.com/go-swagger/go-swagger/issues/80)
- Unmarshal error returned without further context [\#77](https://github.com/go-swagger/go-swagger/issues/77)
- model: template: schemavalidations:78:62: executing "mapvalidator" at \<.AdditionalPropertie...\>: nil pointer evaluating \*generator.GenSchema.HasValidations [\#72](https://github.com/go-swagger/go-swagger/issues/72)
- nil pointer evaluating \*generator.GenSchema.HasValidations [\#71](https://github.com/go-swagger/go-swagger/issues/71)
- Possibility to add any headers [\#70](https://github.com/go-swagger/go-swagger/issues/70)
- Problems getting models in the definitions [\#67](https://github.com/go-swagger/go-swagger/issues/67)
- \[validation\] incorrect validation of path parameters defined in /parameters [\#63](https://github.com/go-swagger/go-swagger/issues/63)
- Validation failed for json swagger if the response schema defined type=array [\#58](https://github.com/go-swagger/go-swagger/issues/58)
- Nil pointer dereference exception while validate an swagger without path [\#52](https://github.com/go-swagger/go-swagger/issues/52)
- generate spec doesn't fill in the description field for responses, which is required. [\#51](https://github.com/go-swagger/go-swagger/issues/51)
- generate spec should remove request body params with the `json:"-"` tag [\#49](https://github.com/go-swagger/go-swagger/issues/49)
- Is there a way to set the "reason" or "response model" fields for a response? [\#48](https://github.com/go-swagger/go-swagger/issues/48)
- Support for JSON schema cross-file references. [\#45](https://github.com/go-swagger/go-swagger/issues/45)
- Generated fields with `format: "date-time"` have invalid validation code. [\#42](https://github.com/go-swagger/go-swagger/issues/42)
- Security names are mangled in generated `AuthenticatorsFor` method. [\#40](https://github.com/go-swagger/go-swagger/issues/40)
- Ability to generate `all` operations but not the model. [\#38](https://github.com/go-swagger/go-swagger/issues/38)
- Please export common embedded structs as public [\#36](https://github.com/go-swagger/go-swagger/issues/36)
- `strfmt` types should implement database marshaling methods. [\#35](https://github.com/go-swagger/go-swagger/issues/35)
- packages order [\#28](https://github.com/go-swagger/go-swagger/issues/28)
- import package issue [\#27](https://github.com/go-swagger/go-swagger/issues/27)
- Generated Go code fails to transform multiline descriptions [\#23](https://github.com/go-swagger/go-swagger/issues/23)
- go install undefined [\#20](https://github.com/go-swagger/go-swagger/issues/20)
- Add support for the password format [\#7](https://github.com/go-swagger/go-swagger/issues/7)
- Move all the packages to their proper homes [\#4](https://github.com/go-swagger/go-swagger/issues/4)
- Support password extended string format [\#1](https://github.com/go-swagger/go-swagger/issues/1)

**Merged pull requests:**

- fix name collision for timeout field in client operation [\#703](https://github.com/go-swagger/go-swagger/pull/703) ([casualjim](https://github.com/casualjim))
- add a --compact flag and pretty print by default [\#699](https://github.com/go-swagger/go-swagger/pull/699) ([casualjim](https://github.com/casualjim))
- Update vendor and regen samples [\#697](https://github.com/go-swagger/go-swagger/pull/697) ([casualjim](https://github.com/casualjim))
- Use in-line comments for structfield and struct [\#696](https://github.com/go-swagger/go-swagger/pull/696) ([dnephin](https://github.com/dnephin))
- Parse embedded swagger:strfmt tags [\#695](https://github.com/go-swagger/go-swagger/pull/695) ([jredville](https://github.com/jredville))
- fix model and operation generator command [\#693](https://github.com/go-swagger/go-swagger/pull/693) ([casualjim](https://github.com/casualjim))
- Fix skip flags [\#691](https://github.com/go-swagger/go-swagger/pull/691) ([dnephin](https://github.com/dnephin))
- Remove old drone hack scripts and config [\#690](https://github.com/go-swagger/go-swagger/pull/690) ([dnephin](https://github.com/dnephin))
- Fix issue with empty schema  [\#689](https://github.com/go-swagger/go-swagger/pull/689) ([gaplyk](https://github.com/gaplyk))
- normalize the filename to honor skip\_exists config property [\#688](https://github.com/go-swagger/go-swagger/pull/688) ([casualjim](https://github.com/casualjim))
- generate constants for string enum properties [\#686](https://github.com/go-swagger/go-swagger/pull/686) ([rgarcia](https://github.com/rgarcia))
- add a command to serve a docs ui [\#683](https://github.com/go-swagger/go-swagger/pull/683) ([casualjim](https://github.com/casualjim))
- Allow x-nullable for nested models [\#682](https://github.com/go-swagger/go-swagger/pull/682) ([dnephin](https://github.com/dnephin))
- Multi success for client [\#681](https://github.com/go-swagger/go-swagger/pull/681) ([casualjim](https://github.com/casualjim))
- Bug fixes for generating operation models [\#680](https://github.com/go-swagger/go-swagger/pull/680) ([dnephin](https://github.com/dnephin))
- add a NewXxxParamsWithContext method to the generated client [\#677](https://github.com/go-swagger/go-swagger/pull/677) ([casualjim](https://github.com/casualjim))
- Make the template for schematype and structfield  more readable. [\#674](https://github.com/go-swagger/go-swagger/pull/674) ([dnephin](https://github.com/dnephin))
- Ignore embedded structs with tag json:"-" [\#672](https://github.com/go-swagger/go-swagger/pull/672) ([gaplyk](https://github.com/gaplyk))
- Fix appveyor [\#671](https://github.com/go-swagger/go-swagger/pull/671) ([casualjim](https://github.com/casualjim))
- Default https host before mutating it. [\#666](https://github.com/go-swagger/go-swagger/pull/666) ([eicca](https://github.com/eicca))
- adds a context method to the api builder [\#664](https://github.com/go-swagger/go-swagger/pull/664) ([casualjim](https://github.com/casualjim))
- Example project for a generating a streaming server [\#662](https://github.com/go-swagger/go-swagger/pull/662) ([nelz9999](https://github.com/nelz9999))
- add constants for string enums [\#660](https://github.com/go-swagger/go-swagger/pull/660) ([rgarcia](https://github.com/rgarcia))
- Gen layout configfile [\#658](https://github.com/go-swagger/go-swagger/pull/658) ([casualjim](https://github.com/casualjim))
- Correcting typo [\#657](https://github.com/go-swagger/go-swagger/pull/657) ([nathj07](https://github.com/nathj07))
- adds viper to vendor [\#655](https://github.com/go-swagger/go-swagger/pull/655) ([casualjim](https://github.com/casualjim))
- Fix up server logs [\#652](https://github.com/go-swagger/go-swagger/pull/652) ([CJTozer](https://github.com/CJTozer))
- prepare for 0.6.0 release [\#648](https://github.com/go-swagger/go-swagger/pull/648) ([casualjim](https://github.com/casualjim))
- Issue with embedded custom type [\#646](https://github.com/go-swagger/go-swagger/pull/646) ([gaplyk](https://github.com/gaplyk))
- fix http status code mapping from internal [\#645](https://github.com/go-swagger/go-swagger/pull/645) ([casualjim](https://github.com/casualjim))
- update deps [\#644](https://github.com/go-swagger/go-swagger/pull/644) ([casualjim](https://github.com/casualjim))
- Tests for issue with maps [\#642](https://github.com/go-swagger/go-swagger/pull/642) ([gaplyk](https://github.com/gaplyk))
- fix issue with map type [\#641](https://github.com/go-swagger/go-swagger/pull/641) ([gaplyk](https://github.com/gaplyk))
- Fix scopes to be initialized to an empty array [\#637](https://github.com/go-swagger/go-swagger/pull/637) ([losinggeneration](https://github.com/losinggeneration))
- Scan package [\#633](https://github.com/go-swagger/go-swagger/pull/633) ([casualjim](https://github.com/casualjim))
- Runtime listeners [\#632](https://github.com/go-swagger/go-swagger/pull/632) ([casualjim](https://github.com/casualjim))
- Dont error w/1 just b/c user asked for help text [\#631](https://github.com/go-swagger/go-swagger/pull/631) ([nelz9999](https://github.com/nelz9999))
- revert changes to CLI params [\#629](https://github.com/go-swagger/go-swagger/pull/629) ([casualjim](https://github.com/casualjim))
- Refactor JSON tag parsing [\#621](https://github.com/go-swagger/go-swagger/pull/621) ([bfirsh](https://github.com/bfirsh))
- Fixed copy-pasted description. [\#620](https://github.com/go-swagger/go-swagger/pull/620) ([vburenin](https://github.com/vburenin))
- Support json tags which don't set name [\#617](https://github.com/go-swagger/go-swagger/pull/617) ([bfirsh](https://github.com/bfirsh))
- update readme \[ci skip\] [\#615](https://github.com/go-swagger/go-swagger/pull/615) ([casualjim](https://github.com/casualjim))
- Resolve vendor [\#614](https://github.com/go-swagger/go-swagger/pull/614) ([casualjim](https://github.com/casualjim))
- Unified CLI for go swagger.  [\#612](https://github.com/go-swagger/go-swagger/pull/612) ([vburenin](https://github.com/vburenin))
- Don't include indirection for interface types. [\#609](https://github.com/go-swagger/go-swagger/pull/609) ([Cl0udPhish](https://github.com/Cl0udPhish))
- Gitbook \[ci skip\] [\#603](https://github.com/go-swagger/go-swagger/pull/603) ([casualjim](https://github.com/casualjim))
- handle aliased types in scanner [\#602](https://github.com/go-swagger/go-swagger/pull/602) ([casualjim](https://github.com/casualjim))
- Add the ability to use a model as a response. [\#596](https://github.com/go-swagger/go-swagger/pull/596) ([jjeffrey-bolste](https://github.com/jjeffrey-bolste))
- Update spec repo [\#584](https://github.com/go-swagger/go-swagger/pull/584) ([casualjim](https://github.com/casualjim))
- suffix validator only model generation with \_validator [\#579](https://github.com/go-swagger/go-swagger/pull/579) ([casualjim](https://github.com/casualjim))
- Expose server handler which can be used for writing tests [\#577](https://github.com/go-swagger/go-swagger/pull/577) ([xiwenc](https://github.com/xiwenc))
- actually render something [\#576](https://github.com/go-swagger/go-swagger/pull/576) ([casualjim](https://github.com/casualjim))
- adds support for skip-struct on generate model [\#574](https://github.com/go-swagger/go-swagger/pull/574) ([casualjim](https://github.com/casualjim))
- Command Line Flags Example [\#573](https://github.com/go-swagger/go-swagger/pull/573) ([nelz9999](https://github.com/nelz9999))
- make validations optional for "generate model" command [\#569](https://github.com/go-swagger/go-swagger/pull/569) ([casualjim](https://github.com/casualjim))
- fixes \#546, text no panic in marshaller for string pointer [\#567](https://github.com/go-swagger/go-swagger/pull/567) ([casualjim](https://github.com/casualjim))
- wrap typed auth functions into function that returns an interface [\#566](https://github.com/go-swagger/go-swagger/pull/566) ([casualjim](https://github.com/casualjim))
- fixes \#515, support streaming responses in the client [\#565](https://github.com/go-swagger/go-swagger/pull/565) ([casualjim](https://github.com/casualjim))
- Fix issue \#563 Added StarExpr in parseEmbeddedType [\#564](https://github.com/go-swagger/go-swagger/pull/564) ([zasran](https://github.com/zasran))
- Fix issue \#560 Go builtin support [\#562](https://github.com/go-swagger/go-swagger/pull/562) ([zasran](https://github.com/zasran))
- fixes \#550 always render and use parameters [\#558](https://github.com/go-swagger/go-swagger/pull/558) ([casualjim](https://github.com/casualjim))
- fixes yml for todolist example [\#556](https://github.com/go-swagger/go-swagger/pull/556) ([casualjim](https://github.com/casualjim))
- adds jlexer and jwriter from easyjson [\#553](https://github.com/go-swagger/go-swagger/pull/553) ([casualjim](https://github.com/casualjim))
- adds bitset library [\#552](https://github.com/go-swagger/go-swagger/pull/552) ([casualjim](https://github.com/casualjim))
- update go-flags [\#551](https://github.com/go-swagger/go-swagger/pull/551) ([casualjim](https://github.com/casualjim))
- make request timeout configurable for client [\#534](https://github.com/go-swagger/go-swagger/pull/534) ([casualjim](https://github.com/casualjim))
- Release 0.5.9 [\#532](https://github.com/go-swagger/go-swagger/pull/532) ([casualjim](https://github.com/casualjim))
- Added possibility for users to defined their custom logger. [\#529](https://github.com/go-swagger/go-swagger/pull/529) ([vburenin](https://github.com/vburenin))
- update vendored packages [\#527](https://github.com/go-swagger/go-swagger/pull/527) ([casualjim](https://github.com/casualjim))
- Fixed bug for not generated validator call if there is an array of complex objects. [\#526](https://github.com/go-swagger/go-swagger/pull/526) ([vburenin](https://github.com/vburenin))
- skip fields in parameter structs with struct tag `json:"-"` [\#521](https://github.com/go-swagger/go-swagger/pull/521) ([jlburkhead](https://github.com/jlburkhead))
- Fix typo mulit vs multi [\#519](https://github.com/go-swagger/go-swagger/pull/519) ([fiorix](https://github.com/fiorix))
- add support for oauth2 to generator [\#517](https://github.com/go-swagger/go-swagger/pull/517) ([casualjim](https://github.com/casualjim))
- fail on invalid command line definition [\#514](https://github.com/go-swagger/go-swagger/pull/514) ([casualjim](https://github.com/casualjim))
- remove unused param var [\#513](https://github.com/go-swagger/go-swagger/pull/513) ([casualjim](https://github.com/casualjim))
- update context, imports, swag, runtime, loads and govalidator [\#512](https://github.com/go-swagger/go-swagger/pull/512) ([casualjim](https://github.com/casualjim))
- Add support for strfmt.MAC [\#509](https://github.com/go-swagger/go-swagger/pull/509) ([tzneal](https://github.com/tzneal))
- Put params fix [\#508](https://github.com/go-swagger/go-swagger/pull/508) ([ivan1993spb](https://github.com/ivan1993spb))
- Added missing wait for the client generator. [\#507](https://github.com/go-swagger/go-swagger/pull/507) ([casualjim](https://github.com/casualjim))
- Leveraging Go goroutings to speed up generation process in multicore environment. [\#504](https://github.com/go-swagger/go-swagger/pull/504) ([vburenin](https://github.com/vburenin))
- Removed redundant code. Less JSON parsing. Speedups on many things in… [\#503](https://github.com/go-swagger/go-swagger/pull/503) ([vburenin](https://github.com/vburenin))
- Combined fix of 453 and 455 bugs. [\#502](https://github.com/go-swagger/go-swagger/pull/502) ([vburenin](https://github.com/vburenin))
- Prevents parsing structs that are needed when parsing dicovered schemas [\#498](https://github.com/go-swagger/go-swagger/pull/498) ([seanbrant](https://github.com/seanbrant))
- Add missed go code generation for \#494 [\#497](https://github.com/go-swagger/go-swagger/pull/497) ([galaxie](https://github.com/galaxie))
- Use canonicalized keys to retrieve values from http.Request.Header [\#495](https://github.com/go-swagger/go-swagger/pull/495) ([galaxie](https://github.com/galaxie))
- Pascalize method arguments in client operations - fixes \#487 [\#488](https://github.com/go-swagger/go-swagger/pull/488) ([MStoykov](https://github.com/MStoykov))
- 420 package refactor [\#486](https://github.com/go-swagger/go-swagger/pull/486) ([casualjim](https://github.com/casualjim))
- move analysis out of spec package [\#485](https://github.com/go-swagger/go-swagger/pull/485) ([casualjim](https://github.com/casualjim))
- generator: Use a JSON decoder with UseNumber enabled for unmarshaling [\#482](https://github.com/go-swagger/go-swagger/pull/482) ([chancez](https://github.com/chancez))
- updates unmarshal for discriminated types as property [\#480](https://github.com/go-swagger/go-swagger/pull/480) ([casualjim](https://github.com/casualjim))
- second part of bugfix [\#479](https://github.com/go-swagger/go-swagger/pull/479) ([casualjim](https://github.com/casualjim))
- validate items more often [\#475](https://github.com/go-swagger/go-swagger/pull/475) ([casualjim](https://github.com/casualjim))
- Use cache as it is designed to be used, not as it is actually used. [\#474](https://github.com/go-swagger/go-swagger/pull/474) ([vburenin](https://github.com/vburenin))
- Required flag is reset for array items. [\#473](https://github.com/go-swagger/go-swagger/pull/473) ([vburenin](https://github.com/vburenin))
- fix appveyor builds [\#468](https://github.com/go-swagger/go-swagger/pull/468) ([casualjim](https://github.com/casualjim))
- generator: fix package assumption on server generation [\#467](https://github.com/go-swagger/go-swagger/pull/467) ([jwmaag](https://github.com/jwmaag))
- Use spec BasePath when it is non-empty. [\#466](https://github.com/go-swagger/go-swagger/pull/466) ([nikhilm](https://github.com/nikhilm))
- fix some issues with additional properties generation [\#461](https://github.com/go-swagger/go-swagger/pull/461) ([casualjim](https://github.com/casualjim))
- X nullable first [\#459](https://github.com/go-swagger/go-swagger/pull/459) ([vburenin](https://github.com/vburenin))
- Fix https://github.com/go-swagger/go-swagger/issues/449 [\#451](https://github.com/go-swagger/go-swagger/pull/451) ([galeone](https://github.com/galeone))
- Add validation required fix and corresponding package tests [\#450](https://github.com/go-swagger/go-swagger/pull/450) ([galaxie](https://github.com/galaxie))
- Fixed bug in httpkit/client/runtime.go Submit\(\) [\#448](https://github.com/go-swagger/go-swagger/pull/448) ([ritchida](https://github.com/ritchida))
- also exclude models/handlers in the client [\#447](https://github.com/go-swagger/go-swagger/pull/447) ([casualjim](https://github.com/casualjim))
- add discard consumer/producer for http mimes [\#443](https://github.com/go-swagger/go-swagger/pull/443) ([casualjim](https://github.com/casualjim))
- add note to readme about homebrew package [\#441](https://github.com/go-swagger/go-swagger/pull/441) ([casualjim](https://github.com/casualjim))
- Fix typo \(defintion -\> definition\) [\#440](https://github.com/go-swagger/go-swagger/pull/440) ([flavioribeiro](https://github.com/flavioribeiro))
- Improve error message [\#437](https://github.com/go-swagger/go-swagger/pull/437) ([abclogin](https://github.com/abclogin))
- Bring back build util [\#435](https://github.com/go-swagger/go-swagger/pull/435) ([casualjim](https://github.com/casualjim))
- Added user hook to config TLS layer. [\#432](https://github.com/go-swagger/go-swagger/pull/432) ([vburenin](https://github.com/vburenin))
- \[wip\] once and for all work out the rules for pointing to things [\#431](https://github.com/go-swagger/go-swagger/pull/431) ([casualjim](https://github.com/casualjim))
- disables code coverage for automated builds for a while [\#429](https://github.com/go-swagger/go-swagger/pull/429) ([casualjim](https://github.com/casualjim))
- Fixes some issues with empty bodies [\#428](https://github.com/go-swagger/go-swagger/pull/428) ([casualjim](https://github.com/casualjim))
- Improve error message [\#427](https://github.com/go-swagger/go-swagger/pull/427) ([abclogin](https://github.com/abclogin))
- fix default produces [\#424](https://github.com/go-swagger/go-swagger/pull/424) ([casualjim](https://github.com/casualjim))
- increase circle ci default timeout [\#419](https://github.com/go-swagger/go-swagger/pull/419) ([pytlesk4](https://github.com/pytlesk4))
- adds dumpdata flags to client and server [\#418](https://github.com/go-swagger/go-swagger/pull/418) ([casualjim](https://github.com/casualjim))
- resolves refs for parameters and responses, fixes \#384 [\#417](https://github.com/go-swagger/go-swagger/pull/417) ([casualjim](https://github.com/casualjim))
- fix Panic expanding responses that are a schema ref with circular [\#416](https://github.com/go-swagger/go-swagger/pull/416) ([pytlesk4](https://github.com/pytlesk4))
- Don't panic when handling circular refs. [\#414](https://github.com/go-swagger/go-swagger/pull/414) ([pytlesk4](https://github.com/pytlesk4))
- Fix build on all build servers [\#412](https://github.com/go-swagger/go-swagger/pull/412) ([casualjim](https://github.com/casualjim))
- Remove dependency heavy goconvey [\#411](https://github.com/go-swagger/go-swagger/pull/411) ([casualjim](https://github.com/casualjim))
- refines omitempty and fixes basicauth [\#410](https://github.com/go-swagger/go-swagger/pull/410) ([casualjim](https://github.com/casualjim))
- Add \*raw-stream mimetype mapping [\#408](https://github.com/go-swagger/go-swagger/pull/408) ([sflxn](https://github.com/sflxn))
- Add setter to generated response writer [\#405](https://github.com/go-swagger/go-swagger/pull/405) ([anfernee](https://github.com/anfernee))
- Allow empty content-type when allowed list is empty [\#404](https://github.com/go-swagger/go-swagger/pull/404) ([anfernee](https://github.com/anfernee))
- generate all models if name not specified [\#401](https://github.com/go-swagger/go-swagger/pull/401) ([easeway](https://github.com/easeway))
- Proper handle of array of pointers to struct [\#396](https://github.com/go-swagger/go-swagger/pull/396) ([gaplyk](https://github.com/gaplyk))
- 368 merge expand items [\#394](https://github.com/go-swagger/go-swagger/pull/394) ([casualjim](https://github.com/casualjim))
- split restapi.NewServer [\#392](https://github.com/go-swagger/go-swagger/pull/392) ([caglar10ur](https://github.com/caglar10ur))
- Fix issue with unknown primitive. [\#391](https://github.com/go-swagger/go-swagger/pull/391) ([gaplyk](https://github.com/gaplyk))
- better validation for invalid refs [\#387](https://github.com/go-swagger/go-swagger/pull/387) ([casualjim](https://github.com/casualjim))
- deal with empty required bodies [\#385](https://github.com/go-swagger/go-swagger/pull/385) ([casualjim](https://github.com/casualjim))
- primitive aliases are not nullable [\#383](https://github.com/go-swagger/go-swagger/pull/383) ([casualjim](https://github.com/casualjim))
- fixes some golint warnings in generated client [\#380](https://github.com/go-swagger/go-swagger/pull/380) ([casualjim](https://github.com/casualjim))
- mangle type name for string alias [\#379](https://github.com/go-swagger/go-swagger/pull/379) ([casualjim](https://github.com/casualjim))
- fix argument passing for validation function [\#378](https://github.com/go-swagger/go-swagger/pull/378) ([casualjim](https://github.com/casualjim))
- better default handling in parameters [\#377](https://github.com/go-swagger/go-swagger/pull/377) ([casualjim](https://github.com/casualjim))
- Fixes compilation error for stream type [\#376](https://github.com/go-swagger/go-swagger/pull/376) ([casualjim](https://github.com/casualjim))
- specializes min/max validations for int [\#374](https://github.com/go-swagger/go-swagger/pull/374) ([casualjim](https://github.com/casualjim))
- Separates listen from serve in server [\#373](https://github.com/go-swagger/go-swagger/pull/373) ([casualjim](https://github.com/casualjim))
- Add plain text consumer and producer [\#364](https://github.com/go-swagger/go-swagger/pull/364) ([stoyanr](https://github.com/stoyanr))
- Add XML consumer and producer [\#362](https://github.com/go-swagger/go-swagger/pull/362) ([stoyanr](https://github.com/stoyanr))
- scan: treat error primitive as string [\#349](https://github.com/go-swagger/go-swagger/pull/349) ([fsouza](https://github.com/fsouza))
- Fix overriding consumes in spec for client [\#348](https://github.com/go-swagger/go-swagger/pull/348) ([casualjim](https://github.com/casualjim))
- fix missing httpkit import in models [\#344](https://github.com/go-swagger/go-swagger/pull/344) ([easeway](https://github.com/easeway))
- fixes \#330 package for client is client package [\#339](https://github.com/go-swagger/go-swagger/pull/339) ([casualjim](https://github.com/casualjim))
- update vendored deps [\#338](https://github.com/go-swagger/go-swagger/pull/338) ([casualjim](https://github.com/casualjim))
- adds --with-context for a request scoped net/context [\#337](https://github.com/go-swagger/go-swagger/pull/337) ([casualjim](https://github.com/casualjim))
- add support for binary string format [\#336](https://github.com/go-swagger/go-swagger/pull/336) ([casualjim](https://github.com/casualjim))
- make enum names for property different from aliased types [\#335](https://github.com/go-swagger/go-swagger/pull/335) ([casualjim](https://github.com/casualjim))
- add --scan-models flag for generate spec command [\#333](https://github.com/go-swagger/go-swagger/pull/333) ([casualjim](https://github.com/casualjim))
- no pointer for base type in maps [\#332](https://github.com/go-swagger/go-swagger/pull/332) ([casualjim](https://github.com/casualjim))
- reinstate --skip-\* arguments [\#329](https://github.com/go-swagger/go-swagger/pull/329) ([casualjim](https://github.com/casualjim))
- Add tar, gzip support [\#327](https://github.com/go-swagger/go-swagger/pull/327) ([jzt](https://github.com/jzt))
- full path for go imports run [\#324](https://github.com/go-swagger/go-swagger/pull/324) ([casualjim](https://github.com/casualjim))
- ensure file names don't end with \_test [\#318](https://github.com/go-swagger/go-swagger/pull/318) ([casualjim](https://github.com/casualjim))
- fix \#306 also recognize application/octet-stream in generator [\#317](https://github.com/go-swagger/go-swagger/pull/317) ([casualjim](https://github.com/casualjim))
- update changelog [\#316](https://github.com/go-swagger/go-swagger/pull/316) ([casualjim](https://github.com/casualjim))
- adds a ResponderFunc helper [\#315](https://github.com/go-swagger/go-swagger/pull/315) ([casualjim](https://github.com/casualjim))
- fixes \#222 server optionally embeds spec [\#314](https://github.com/go-swagger/go-swagger/pull/314) ([casualjim](https://github.com/casualjim))
- 302 reprise [\#313](https://github.com/go-swagger/go-swagger/pull/313) ([casualjim](https://github.com/casualjim))
- anchor strfmt import \(fixes \#255\) [\#312](https://github.com/go-swagger/go-swagger/pull/312) ([casualjim](https://github.com/casualjim))
- 304 consumes produces override [\#311](https://github.com/go-swagger/go-swagger/pull/311) ([casualjim](https://github.com/casualjim))
- 306 octet stream consumer producer [\#310](https://github.com/go-swagger/go-swagger/pull/310) ([casualjim](https://github.com/casualjim))
- Add support for cookies in the client runtime [\#309](https://github.com/go-swagger/go-swagger/pull/309) ([stoyanr](https://github.com/stoyanr))
- fix file type parameter when the parameter is required [\#297](https://github.com/go-swagger/go-swagger/pull/297) ([adasescu](https://github.com/adasescu))
- 275 clean up tutorial [\#296](https://github.com/go-swagger/go-swagger/pull/296) ([andregmoeller](https://github.com/andregmoeller))
- prepare for 0.3.0 release [\#295](https://github.com/go-swagger/go-swagger/pull/295) ([casualjim](https://github.com/casualjim))
- adds unix domain sockets to generated server [\#294](https://github.com/go-swagger/go-swagger/pull/294) ([casualjim](https://github.com/casualjim))
- generate stabler operation names [\#293](https://github.com/go-swagger/go-swagger/pull/293) ([casualjim](https://github.com/casualjim))
- Preserve trailing slash in URL path in runtime [\#292](https://github.com/go-swagger/go-swagger/pull/292) ([jonathaningram](https://github.com/jonathaningram))
- more lenient path matching for routes [\#291](https://github.com/go-swagger/go-swagger/pull/291) ([casualjim](https://github.com/casualjim))
- fixes both issues related to enums [\#290](https://github.com/go-swagger/go-swagger/pull/290) ([casualjim](https://github.com/casualjim))
- add text/plain in server generator [\#288](https://github.com/go-swagger/go-swagger/pull/288) ([casualjim](https://github.com/casualjim))
- transliterate some common special chars [\#286](https://github.com/go-swagger/go-swagger/pull/286) ([casualjim](https://github.com/casualjim))
- adds swagger:file annotation, fixes \#253 [\#285](https://github.com/go-swagger/go-swagger/pull/285) ([casualjim](https://github.com/casualjim))
- use sync.Once for client [\#284](https://github.com/go-swagger/go-swagger/pull/284) ([casualjim](https://github.com/casualjim))
- nullable dates [\#283](https://github.com/go-swagger/go-swagger/pull/283) ([casualjim](https://github.com/casualjim))
- returns a more useful error message [\#282](https://github.com/go-swagger/go-swagger/pull/282) ([casualjim](https://github.com/casualjim))
- readme update for distribution channels [\#281](https://github.com/go-swagger/go-swagger/pull/281) ([casualjim](https://github.com/casualjim))
- scan: strip only special chars that are used in annotations [\#280](https://github.com/go-swagger/go-swagger/pull/280) ([fsouza](https://github.com/fsouza))
- go generate the generator/bindata.go to fix \#263 [\#273](https://github.com/go-swagger/go-swagger/pull/273) ([MStoykov](https://github.com/MStoykov))
- Bugfix for POST Ops not setting Content Length [\#272](https://github.com/go-swagger/go-swagger/pull/272) ([akutz](https://github.com/akutz))
- Add Support for Extensions on the swagger root object. [\#269](https://github.com/go-swagger/go-swagger/pull/269) ([pytlesk4](https://github.com/pytlesk4))
- Fixes \#263. [\#267](https://github.com/go-swagger/go-swagger/pull/267) ([pieter-lazzaro](https://github.com/pieter-lazzaro))
- make content type optional for delete method [\#266](https://github.com/go-swagger/go-swagger/pull/266) ([casualjim](https://github.com/casualjim))
- disable bintray publishing for now [\#262](https://github.com/go-swagger/go-swagger/pull/262) ([casualjim](https://github.com/casualjim))
- update release to use tag from args [\#261](https://github.com/go-swagger/go-swagger/pull/261) ([casualjim](https://github.com/casualjim))
- update drone.sec [\#260](https://github.com/go-swagger/go-swagger/pull/260) ([casualjim](https://github.com/casualjim))
- first stab at automated releases through tags [\#259](https://github.com/go-swagger/go-swagger/pull/259) ([casualjim](https://github.com/casualjim))
- fixes \#252 primitives are not nullable [\#258](https://github.com/go-swagger/go-swagger/pull/258) ([casualjim](https://github.com/casualjim))
- generator: Print unknown models out when gathering models [\#256](https://github.com/go-swagger/go-swagger/pull/256) ([chancez](https://github.com/chancez))
- don't share Params between requests of a Handler [\#240](https://github.com/go-swagger/go-swagger/pull/240) ([MStoykov](https://github.com/MStoykov))
- httpkit/client: Only set the content-type if the body isnt empty [\#238](https://github.com/go-swagger/go-swagger/pull/238) ([chancez](https://github.com/chancez))
- Better custom template solution [\#237](https://github.com/go-swagger/go-swagger/pull/237) ([pieter-lazzaro](https://github.com/pieter-lazzaro))
- Use schemas consumes to determine accept headers [\#236](https://github.com/go-swagger/go-swagger/pull/236) ([chancez](https://github.com/chancez))
- Fix for shared enums [\#234](https://github.com/go-swagger/go-swagger/pull/234) ([casualjim](https://github.com/casualjim))
- fixes generation of bitbucket client [\#231](https://github.com/go-swagger/go-swagger/pull/231) ([casualjim](https://github.com/casualjim))
- fixes \#217 skip validate for impossible types [\#229](https://github.com/go-swagger/go-swagger/pull/229) ([casualjim](https://github.com/casualjim))
- pascalize struct fields before concating them to struct identifiers F… [\#224](https://github.com/go-swagger/go-swagger/pull/224) ([MStoykov](https://github.com/MStoykov))
- \#101 Custom templates [\#221](https://github.com/go-swagger/go-swagger/pull/221) ([pieter-lazzaro](https://github.com/pieter-lazzaro))
- allow delete requests to have bodies [\#220](https://github.com/go-swagger/go-swagger/pull/220) ([azylman](https://github.com/azylman))
- Fix godoc for client code [\#214](https://github.com/go-swagger/go-swagger/pull/214) ([Xe](https://github.com/Xe))
- skip generating server main if it exists: [\#211](https://github.com/go-swagger/go-swagger/pull/211) ([dfuentes](https://github.com/dfuentes))
- Fix import path for operations that lack tags [\#209](https://github.com/go-swagger/go-swagger/pull/209) ([dfuentes](https://github.com/dfuentes))
- Added possibility for custom command line option parsing [\#208](https://github.com/go-swagger/go-swagger/pull/208) ([Tobi042](https://github.com/Tobi042))
- Change strfmt.DateTime and strfmt.Date types to alias [\#206](https://github.com/go-swagger/go-swagger/pull/206) ([aleksandr-vin](https://github.com/aleksandr-vin))
- generate bindata [\#204](https://github.com/go-swagger/go-swagger/pull/204) ([chancez](https://github.com/chancez))
- generator: Use new buffer to avoid reading empty buffer [\#203](https://github.com/go-swagger/go-swagger/pull/203) ([chancez](https://github.com/chancez))
- generator: Take address of default params for non-required, parameters with defaults [\#202](https://github.com/go-swagger/go-swagger/pull/202) ([chancez](https://github.com/chancez))
- FIXES \#193 [\#200](https://github.com/go-swagger/go-swagger/pull/200) ([MStoykov](https://github.com/MStoykov))
- Proposed solution to Issue \#198 [\#199](https://github.com/go-swagger/go-swagger/pull/199) ([Tobi042](https://github.com/Tobi042))
- Refactor strfmt/time tests, add strfmt.NewDateTime function [\#177](https://github.com/go-swagger/go-swagger/pull/177) ([aleksandr-vin](https://github.com/aleksandr-vin))
- Add default value support for response headers, fixes \#172 [\#173](https://github.com/go-swagger/go-swagger/pull/173) ([aleksandr-vin](https://github.com/aleksandr-vin))
- fix test failing on windows. [\#168](https://github.com/go-swagger/go-swagger/pull/168) ([faguirre1](https://github.com/faguirre1))
- Support commonly used x-nullable in addition to x-isnullable [\#157](https://github.com/go-swagger/go-swagger/pull/157) ([chancez](https://github.com/chancez))
- Update README.md [\#138](https://github.com/go-swagger/go-swagger/pull/138) ([frapposelli](https://github.com/frapposelli))
- Fix \#81 missing operations package [\#83](https://github.com/go-swagger/go-swagger/pull/83) ([aleksandr-vin](https://github.com/aleksandr-vin))
- Allow http status 201 to have a response body [\#78](https://github.com/go-swagger/go-swagger/pull/78) ([florindragos](https://github.com/florindragos))
- Ensure operation.Package has a value. [\#69](https://github.com/go-swagger/go-swagger/pull/69) ([jtopjian](https://github.com/jtopjian))
- Some space [\#66](https://github.com/go-swagger/go-swagger/pull/66) ([rgbkrk](https://github.com/rgbkrk))
- validation: show path in path parameter validation errors [\#64](https://github.com/go-swagger/go-swagger/pull/64) ([dolmen](https://github.com/dolmen))
- Fix generated code missing `strfmt` and `httpkit/middleware` imports. [\#43](https://github.com/go-swagger/go-swagger/pull/43) ([chakrit](https://github.com/chakrit))
- sql.Scanner and driver.Valuer implementation `strfmt` types. [\#39](https://github.com/go-swagger/go-swagger/pull/39) ([chakrit](https://github.com/chakrit))
- Fix package path handling on Windows [\#34](https://github.com/go-swagger/go-swagger/pull/34) ([magnushiie](https://github.com/magnushiie))
- Regenerate bindata for server templates. [\#33](https://github.com/go-swagger/go-swagger/pull/33) ([chakrit](https://github.com/chakrit))
- Revert "fix support.go known Consumers/Producers and configureApi func" [\#32](https://github.com/go-swagger/go-swagger/pull/32) ([casualjim](https://github.com/casualjim))
- fix support.go known Consumers/Producers and configureApi func [\#30](https://github.com/go-swagger/go-swagger/pull/30) ([midoblgsm](https://github.com/midoblgsm))
- Fixing package and target order [\#29](https://github.com/go-swagger/go-swagger/pull/29) ([midoblgsm](https://github.com/midoblgsm))
- Replace casualjim with go-swagger in deps and templates [\#26](https://github.com/go-swagger/go-swagger/pull/26) ([gbjk](https://github.com/gbjk))
- Fix -target path injected at end of operations instead of beginning [\#25](https://github.com/go-swagger/go-swagger/pull/25) ([gbjk](https://github.com/gbjk))
- Replace casualjim with go-swagger in imports [\#24](https://github.com/go-swagger/go-swagger/pull/24) ([gbjk](https://github.com/gbjk))
- Add a Gitter chat badge to README.md [\#2](https://github.com/go-swagger/go-swagger/pull/2) ([gitter-badger](https://github.com/gitter-badger))



\* *This Change Log was automatically generated by [github_changelog_generator](https://github.com/skywinder/Github-Changelog-Generator)*